summaryrefslogtreecommitdiffstats
path: root/source/n/iwlwifi-5000-ucode
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/iwlwifi-5000-ucode')
-rwxr-xr-xsource/n/iwlwifi-5000-ucode/iwlwifi-5000-ucode.SlackBuild57
-rw-r--r--source/n/iwlwifi-5000-ucode/slack-desc19
2 files changed, 76 insertions, 0 deletions
diff --git a/source/n/iwlwifi-5000-ucode/iwlwifi-5000-ucode.SlackBuild b/source/n/iwlwifi-5000-ucode/iwlwifi-5000-ucode.SlackBuild
new file mode 100755
index 000000000..fcd0a5716
--- /dev/null
+++ b/source/n/iwlwifi-5000-ucode/iwlwifi-5000-ucode.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Copyright 2006, 2008 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=iwlwifi-5000-ucode
+#VERSION will be determined automatically, and the package will use the last version found.
+ARCH=${ARCH:-fw}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+for file in $CWD/${PKGNAM}-*.tar.?z* ; do
+ VERSION=$(echo $file | rev | cut -f 3- -d . | cut -f 1 -d / | rev | cut -f 4- -d - )
+ rm -rf ${PKGNAM}-${VERSION}
+ tar xvf $file || exit 1
+ cd ${PKGNAM}-$VERSION || exit 1
+ # Make sure ownerships and permissions are sane:
+ chown -R root:root .
+ chmod 644 *
+ # install:
+ mkdir -p $PKG/lib/firmware
+ cp -a iwlwifi-*.ucode $PKG/lib/firmware
+ # Add a documentation directory:
+ mkdir -p $PKG/usr/doc/${PKGNAM}-${VERSION}
+ cp -a LICENSE* README* $PKG/usr/doc/${PKGNAM}-${VERSION}
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/n/iwlwifi-5000-ucode/slack-desc b/source/n/iwlwifi-5000-ucode/slack-desc
new file mode 100644
index 000000000..2b817fcc8
--- /dev/null
+++ b/source/n/iwlwifi-5000-ucode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+iwlwifi-5000-ucode: iwlwifi-5000-ucode (Intel 5000 wireless microcode)
+iwlwifi-5000-ucode:
+iwlwifi-5000-ucode: The microcode provided in this package is required for the Intel
+iwlwifi-5000-ucode: PRO/Wireless 5000ABG/BG Network Connection Adapter driver for Linux
+iwlwifi-5000-ucode: (iwlagn) to operate.
+iwlwifi-5000-ucode:
+iwlwifi-5000-ucode: Visit Intel's Linux wireless website at this address:
+iwlwifi-5000-ucode: http://intellinuxwireless.org/
+iwlwifi-5000-ucode:
+iwlwifi-5000-ucode:
+iwlwifi-5000-ucode: